Skip to main content
GET
Get student course progress

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.

Path Parameters

courseId
string<uuid>
required

The CFItem identifier of the course (must have typeCode 'course')

studentId
string<uuid>
required

The OneRoster user sourcedId of the student

Query Parameters

applicationId
string<uuid>

Optional LtiApplication ID to scope completion event lookup to a specific application

Response

Successful response with curriculum tree and completion status

A recursive tree representing a student's progress through a course curriculum

cfItemId
string<uuid>
required

The CFItem identifier

typeCode
string
required

The item type code (e.g., course, section, topic, level, lesson)

completed
boolean
required

Whether the student has completed this item

completedAt
string<date-time> | null
required

ISO 8601 timestamp of when the item was completed, or null if not completed

children
object[]
required

Child items in the curriculum hierarchy